Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename orchestrator
%global enable_tests 0
# testing disabled until npm(gulp) can be built

Name:		nodejs-orchestrator
Version:	0.3.7
Release:	alt1_6
Summary:	A module for sequencing and executing tasks and dependencies

License:	MIT
URL:		https://github.com/robrich/orchestrator.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(end-of-stream)
BuildRequires:	npm(stream-consume)
BuildRequires:	npm(sequencify)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(vinyl-fs)
%endif
Source44: import.info

%description
A module for sequencing and executing tasks and dependencies in maximum
concurrency


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%nodejs_fixdep end-of-stream


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Thu Apr 11 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.7-alt1_6
- new version

